Retrieve refund | Moov Documentation

Retrieve refund

Get details of a refund for a card transfer.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.read scope.

Request

GET

/accounts/{accountID}/transfers/{transferID}/refunds/{refundID}

Example cURL Request

curl -X GET "https://api.moov.io/accounts/{accountID}/transfers/{transferID}/refunds/{refundID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

Go Example

mc, _ := moov.NewClient()

var accountID string
var transferID string
var refundID string

mc.GetRefund(ctx, accountID, transferID, refundID)

TypeScript Example

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.transfers.getRefund({
    transferID: "e90d3386-c5b2-4e2b-b841-efc590eba6c0",
    accountID: "bbb69538-edaa-4a0b-b107-f46f2da89864",
    refundID: "8e12687e-a4e8-46c9-9e11-a57bbd781e44",
  });

console.log(result);
}

run();

PHP Example

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\